This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 829933 - (CVE-2012-2678) CVE-2012-2678 rhds/389: plaintext password disclosure flaw
CVE-2012-2678 rhds/389: plaintext password disclosure flaw
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120620,repor...
: Security
Depends On: 829213 830001 830897 835668 835669
Blocks: 829937
  Show dependency treegraph
 
Reported: 2012-06-07 16:16 EDT by Vincent Danen
Modified: 2013-02-05 17:36 EST (History)
7 users (show)

See Also:
Fixed In Version: 389-ds-base 1.2.11.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 17:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-06-07 16:16:32 EDT
It was reported that, when a user changes their password in Red Hat Directory Server or 389, that the unhashed#user#password attribute (which stores the password in plaintext format, for the purposes of password policy and Windows sync), is available for any authenticed user to view.  Any user who can successfully bind to the directory server can request and view this attribute under certain conditions, without administrative privileges.  This attribute is only exposed in the time between a user changing their password and the directory server being restarted.

This was reported previously as a bug in 389, however the report only indicated that the exposure was to administrator logins, which is not the case.

https://fedorahosted.org/389/ticket/378
Comment 2 errata-xmlrpc 2012-06-20 11:19:29 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0997 https://rhn.redhat.com/errata/RHSA-2012-0997.html
Comment 3 errata-xmlrpc 2012-06-26 13:21:27 EDT
This issue has been addressed in following products:

  Red Hat Directory Server 8 for RHEL 5

Via RHSA-2012:1041 https://rhn.redhat.com/errata/RHSA-2012-1041.html
Comment 4 Vincent Danen 2012-06-26 14:57:14 EDT
Created 389-ds-base tracking bugs for this issue

Affects: fedora-all [bug 835668]
Affects: epel-5 [bug 835669]
Comment 5 Vincent Danen 2013-02-05 17:36:03 EST
This was fixed in 389-ds-base 1.2.11.6.  Fedora 17 currently has 1.2.11.17 and 18 has 1.3.0, so I would consider this fixed.  A patch was included in the EPEL5 1.2.10.12-1 package to correct this.

Note You need to log in before you can comment on or make changes to this bug.